#ifndef _KGR_PATCH_BSC1042892_H
#define _KGR_PATCH_BSC1042892_H

int kgr_patch_bsc1042892_init(void);
static void kgr_patch_bsc1042892_cleanup(void) {}

struct sock;
struct sk_buff;
struct ipv6_txoptions;
struct flowi6;
struct rt6_info;

int kgr_ip6_append_data(struct sock *sk,
			int getfrag(void *from, char *to, int offset, int len,
				    int odd, struct sk_buff *skb),
			void *from, int length, int transhdrlen, int hlimit,
			int tclass, struct ipv6_txoptions *opt, struct flowi6 *fl6,
			struct rt6_info *rt, unsigned int flags, int dontfrag);

struct sk_buff *kgr_ip6_make_skb(struct sock *sk,
				 int getfrag(void *from, char *to, int offset,
					     int len, int odd, struct sk_buff *skb),
				 void *from, int length, int transhdrlen,
				 int hlimit, int tclass,
				 struct ipv6_txoptions *opt, struct flowi6 *fl6,
				 struct rt6_info *rt, unsigned int flags,
				 int dontfrag);

#define KGR_PATCH_BSC1042892_FUNCS				\
	KGR_PATCH(ip6_append_data, kgr_ip6_append_data),	\
	KGR_PATCH(ip6_make_skb, kgr_ip6_make_skb),

#endif
